Subject: Bagworms in Virginia

From: [email-masked]
Date: 15 Mar 1995 03:34:28 GMT

We have a row of arborvitaes that were attacked by bagworms last year.
The middle two are totaly de-foliated and seem to be dead (very dry branches.)
The neighboring ones were hit only at the edges.
We picked off all the bags we could find last Fall (when we finally learned
what the problem was.) 
Now - what do we treat the remaining trees with to protect against any remaining
bagworms from coming back?
I found some Gopher references at the University of Missouri and at Virginia Tech,
but they only say to spray an insecticide in June, but don't say which one.
What should I use?

--
Bill Bixby                                  Internet: [email-masked]
William J.                                              [email-masked]
Richmond, VA                                        [email-masked]
(804) 379-0261           CIS UserID: 70310,266           Prodigy: MACV35A